import { Component, OnInit } from '@angular/core';

import { ActivatedRoute } from '@angular/router';

import { EntriesService } from '../../../services/entries.service';

@Component({
  selector: 'page-userentries',
  templateUrl: './userentries.page.html'
})
export class PageUserEntries implements OnInit {

  username: string;
  boundFetch: Function;

  constructor(private entriesService: EntriesService, private route: ActivatedRoute) { }

  ngOnInit(): void {
    this.username = this.route.snapshot.paramMap.get('username');
    this.boundFetch = this.fetch.bind(this);
  }

  fetch(page: number, size: number, asc: boolean, filter: any) {
    return this.entriesService.getByUser(this.username, page, size, asc, filter);
  }

}
