import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { environment } from '../../environments/environment';

@Injectable({
    providedIn: 'root',
})
export class BookmarksService {

    constructor(private http: HttpClient) {
    }

    getEntries(page: number, size: number) {
        return this.http.get(environment.apiUrl + "/bookmarks" + "?page=" + page + "&size=" + size);
    }

    addEntry(id: number) {
        return this.http.put(environment.apiUrl + "/bookmarks/" + id, {});
    }

    removeEntry(id: number) {
        return this.http.delete(environment.apiUrl + "/bookmarks/" + id, {});
    }

}