import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { environment } from '../../environments/environment';

@Injectable({
    providedIn: 'root',
})
export class FlagService {

    constructor(private http: HttpClient) {
    }

    flagEntry(id: number) {
        return this.http.put(environment.apiUrl + "/flags/entry/" + id, {});
    }

    unflagEntry(id: number) {
        return this.http.delete(environment.apiUrl + "/flags/entry/" + id, {});
    }

    flagComment(id: number) {
        return this.http.put(environment.apiUrl + "/flags/comment/" + id, {});
    }

    unflagComment(id: number) {
        return this.http.delete(environment.apiUrl + "/flags/comment/" + id, {});
    }
}