import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { environment } from '../../environments/environment';

@Injectable({
    providedIn: 'root',
})
export class ModerationService {

    constructor(private http: HttpClient) {
    }

    getFlaggedComments(page: number, size: number) {
        return this.http.get(environment.apiUrl + "/moderation/flags/comments?page=" + page + "&size=" + size);
    }

    getFlaggedEntries(page: number, size: number) {
        return this.http.get(environment.apiUrl + "/moderation/flags/entries?page=" + page + "&size=" + size);
    }

    unflagComment(id: number) {
        return this.http.delete(environment.apiUrl + "/moderation/flags/comment/" + id);
    }

    unflagEntry(id: number) {
        return this.http.delete(environment.apiUrl + "/moderation/flags/entry/" + id);
    }

    deleteComment(id: number) {
        return this.http.delete(environment.apiUrl + "/moderation/comment/" + id);
    }

    deleteEntry(id: number) {
        return this.http.delete(environment.apiUrl + "/moderation/entry/" + id);
    }

}