import { Injectable } from '@angular/core';
import { HttpClient, HttpParams } from '@angular/common/http';
import { environment } from '../../environments/environment';

@Injectable({
    providedIn: 'root',
})
export class SearchService {

    constructor(private http: HttpClient) {
    }

    search(query: string, type: string, page: number, size: number, asc: boolean, byDate: boolean) {

        let httpParams = new HttpParams();

        httpParams = httpParams.set("q", "" + query);

        if (type != undefined) {
            httpParams = httpParams.set("type", "" + type);
        }

        if (page != undefined) {
            httpParams = httpParams.set("page", "" + page);
        }
        if (size != undefined) {
            httpParams = httpParams.set("size", "" + size);
        }
        if (asc) {
            httpParams = httpParams.set("asc", "" + asc);
        }
        if (byDate) {
            httpParams = httpParams.set("byDate", "" + byDate);
        }

        return this.http.get(environment.apiUrl + "/search", { params: httpParams });
    }

}