import { Injectable } from '@angular/core';
import { ReplaySubject } from 'rxjs';
import { HttpClient } from '@angular/common/http';

import { RequestError } from './requesterror';

import { environment } from '../../environments/environment';

@Injectable({
    providedIn: 'root',
})
export class SettingsService {

    settings: ReplaySubject<any> = new ReplaySubject(1);

    constructor(private http: HttpClient) {
    }

    getSettings() {
        return this.http.get(environment.apiUrl + "/settings").toPromise().then((data: any) => {
            this.settings.next(data);
            return data;
        }, error => {
            throw new RequestError(error);
        });
    }

}