import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { environment } from '../../environments/environment';

@Injectable({
    providedIn: 'root',
})
export class TagsService {

    constructor(private http: HttpClient) {
    }

    search(query: string) {
        return this.http.get(environment.apiUrl + "/tags?q=" + query);
    }

    setTags(id: number, tags: string[]) {
        return this.http.patch(environment.apiUrl + "/tags/entry/" + id, tags);
    }


}