import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { environment } from '../../environments/environment';

@Injectable({
    providedIn: 'root',
})
export class VoteService {

    constructor(private http: HttpClient) {
    }


    getEntryPoints(target: number) {
        return this.http.get(environment.apiUrl + "/votes/entry/" + target);
    }

    voteEntryUp(id: number) {
        return this.http.put(environment.apiUrl + "/votes/entry/" + id + "/up", {});
    }

    voteEntryDown(id: number) {
        return this.http.put(environment.apiUrl + "/votes/entry/" + id + "/down", {});
    }

    unvoteEntry(id: number) {
        return this.http.delete(environment.apiUrl + "/votes/entry/" + id, {});
    }

    getCommentPoints(target: number) {
        return this.http.get(environment.apiUrl + "/votes/comment/" + target);
    }

    voteCommentUp(id: number) {
        return this.http.put(environment.apiUrl + "/votes/comment/" + id + "/up", {});
    }

    voteCommentDown(id: number) {
        return this.http.put(environment.apiUrl + "/votes/comment/" + id + "/down", {});
    }

    unvoteComment(id: number) {
        return this.http.delete(environment.apiUrl + "/votes/comment/" + id, {});
    }


}